if [ `cat /usr/share/untangle/lib/untangle-libuvm-api/VERSION` != '17.2.0' ] ; then 
   echo "This patch can only be run on 17.2.0" ;
   exit 1
fi
patch_fs()
{
   /etc/init.d/untangle-vm stop
   openssl enc -d -a | tar -C / -zxf -
   /etc/init.d/untangle-vm start
   echo "Patch Applied."
}
cat <<ENCODED_PATCH | patch_fs
H4sIAAAAAAAAA+2V70/aQBjHed2/4lltBNS2VFFfmC6SUTOSgQvglsW4WujVNpaW3V3FDPnfd21B
ClN0vllMng8vjtzdc8/3+d6PJozqzHco0ZOIO9FNSPRBEOkTJ1I9JwjjO0JVN2IqJ4xrzC+9hZrg
+PAwawXr7UHt4Khk1I9rdeOotl8X/fu1w3q9BLU3ZftHEsYdClCiccw3zXtp/J2y9SHbb9dhviRp
oCevOA/zswDKqSQ1Oz27Z3W/WV1TqUufz3v9TqNtmfJkMtEWK2jDeCRLUuDBJai/QVaWQTJcwcOD
6JeV6bJ3di+DCXJNy3736aQT4D6JJBBsAbnn1BlyEBHACBWawIupmBEwCCJOqOcMCXg0HqVRIM7v
yGG/hIzIAy8ISbZMQfm1M7kF9axslqGs/8xXNHWYsnEY8IqyvwfOHsincvUExlQkAOfSuDoRMgI+
K4NO+FAv5rjeIDPV5PrD8UJUpgcgi1gaVPQirX57Ox3xVlO5erqQmowZp8QZZdc0T8PgquDXU8WK
MrWdeaHaTiLqjG61sjL93ujYZ43Wl3Mx0+5Y/abd6vSt7lnjk2W3mrOyMAVYMqhAIV4X3shQhYU5
iiH+RqJ4yC2CdY82CX8AnzguqBEYuY1e8IKb4/E4Jqt2vs3NbKF3aecG5c/5+aw7a5WSoR+DfBE5
A+Erj8El4nqNgojAMKGURH9dwuX9e7F8TV6mSQszigIl0RaejOniaVnTuPri3MTx43uTxncu2na/
27J65oHUb7Wt84u+qVQq69LmQ3a7NwMd0uHHwBnsgCE+UmJDoFrNBQk184hZ/k49SspP3iKTkWlw
gxtQB+spv3Zb7Ub3h91oNrtWT6TZ5TQgzFxJvcuDETGX2eB0Zbeg4Ap8BN0ld3qUhGH6ok6lp3aP
EhaHdwT8mPH89sx3bvUUSDNJ4jQh0v/+OiEIgiAIgiAIgiAIgiAIgiAIgiAIgiAI8hr+ANKQDSYA
KAAA
ENCODED_PATCH
